﻿using System.Reflection;
using System.Windows.Forms;

namespace X_Aim
{
    public partial class About : Form
    {
        public About()
        {
            InitializeComponent();
        }

        private void OnLoad(object sender, System.EventArgs e)
        {
            label1.Text = $"v{Assembly.GetEntryAssembly().GetName().Version}";


            using (var manifestResourceStream =
                Assembly.GetExecutingAssembly().GetManifestResourceStream("X_Aim.txt.aboutText.rtf"))
            {
                richTextBox1.LoadFile(manifestResourceStream, RichTextBoxStreamType.RichText);
            }
        }
    }
}